const boutiqueTool = {
  // 精品展的key-label，统一在此处配置
  boutiqueList: [{
    key: 'smgz',
    label: '神秘贵州'
  },
  {
    key: 'ylgdyw',
    label: '夜郎的疑问'
  },
  {
    key: 'sdcs',
    label: '四渡赤水出奇兵'
  },
  {
    key: 'jyycc',
    label: '记忆与传承'
  },
  {
    key: 'lzst',
    label: '梭戛博物馆陈列展览'
  },
  {
    key: 'zggz',
    label: '中共贵州省工委旧址纪念馆'
  }, {
    key: 'jysg',
    label: '贵州教育史馆'
  },
  {
    key: 'frgz',
    label: '富饶贵州'
  },
  {
    key: 'zs',
    label: '追随-贵州奋斗者的故事'
  },
  {
    key: 'lphy',
    label: '黎平会议纪念馆'
  },
  {
    key: 'wmsh',
    label: '人类起源·乌蒙史话'
  },
  ],
  /**
   * 通过key获取精品展对应的label
   */
  getAllLabels() {
    const labels = this.boutiqueList.map(item => {
      return item.label
    })
    return labels
  },
  /**
   * 通过key获取精品展对应的label
   */
  getAllKeys() {
    const keys = this.boutiqueList.map(item => {
      return item.keys
    })
    return keys
  },
  /**
   * 通过key获取精品展对应的label
   * @param {string} key 精品展对应的key
   * @returns {string}精品展对应的label
   */
  getLabelByKey(key) {
    const keyToLabel = {}
    this.boutiqueList.forEach(item => {
      keyToLabel[item.key] = item.label
    })
    return keyToLabel[key]
  },
  /**
   * 通过label获取精品展对应的key
   * @param {string} key 精品展对应的key
   * @returns {string}精品展对应的label
   */
  getKeyByLabel(label) {
    const labelToKey = {}
    this.boutiqueList.forEach(item => {
      labelToKey[item.label] = item.key
    })
    return labelToKey[label]
  },
  /**
   * 通过label判断是否是精品展
   * @param {string} label 展览的标题
   * @returns {boolean} 是否是精品展
   */
  isBoutique(label) {
    const labels = this.getAllLabels()
    return labels.includes(label)
  },
}

export default boutiqueTool